perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stas Bekman <s...@stason.org>
Subject Re: mod_perl 2.0.0-RC5: make install crashes
Date Mon, 18 Apr 2005 17:35:19 GMT
Harald Meier wrote:
> Dear list members,
> 
> I get the following error at make install:
> 
> -----------------------------------------------------------
> /usr/bin/perl -Iblib/lib 
> -I/usr/local/src/httpd/httpd-2.0.54+mod_perl-2.0.0-RC5/mod_perl-2.0.0-RC5/Apache-Test/lib

> -MModPerl::BuildMM -e ModPerl::BuildMM::glue_pod lib/Apache2/Status.pm 
> /usr/local/src/httpd/httpd-2.0.54+mod_perl-2.0.0-RC5/mod_perl-2.0.0-RC5/docs/api/Apache2/Status.pod

> blib/lib/Apache2/Status.pm
> /usr/bin/perl -we '%m=@ARGV;for (keys %m){' -e 'next if -e $m{$_} && -M 
> $m{$_} < -M $_ && -M $m{$_} < -M "Makefile";' -e 'print "Manifying 
> $m{$_}\n";' -e 'system(qq[$^X ].q["-I/usr/lib/perl5/5.6.1/i586-linux" 
> "-I/usr/lib/perl5/5.6.1" /usr/bin/pod2man --release mod_perl-2.0.0-RC5 
> ].qq[$_>$m{$_}])==0 or warn "Couldn\047t install $m{$_}\n";' -e 
> 'chmod(oct(644)), $m{$_} or warn "chmod 644 $m{$_}: $!\n";}' --section=3 
> /usr/local/src/httpd/httpd-2.0.54+mod_perl-2.0.0-RC5/mod_perl-2.0.0-RC5/docs/api/Apache2/Status.pod

> blib/man3/.3pm
> Unrecognized switch: --section=3  (-h will show valid options).
> make: *** [glue_pods] Error 255
> 
> -----------------------------------------------------------
> 
> I had to change the following code to get it work:
> 
>    Makefile.PL, line 801:
>            old:  s/pod2man\s*$/pod2man --release mod_perl-$ver/m;
>            new: s/pod2man\s*$/pod2man --release mod_perl-$ver 
> --section=3/m;

Harald, shouldn't it be reversed (old<->new) like the one below? using 
diff(3) is a match better way to send patches :)

>    lib/ModPerl/BuildMM.pm, line 258:
>            old:   '$(NOECHO) $(POD2MAN) --section=3 ' .
>            new: '$(NOECHO) $(POD2MAN)  ' .
> 
> I am using perl 5.6.1, Apache 2.0.54.
> 
> Am I missing something or did I do anything wrong?

The Pod::Man module v1.15 and pod2man 1.4, coming with stock perl-5.6.1 do 
support --section option. What's your POD::Man and pod2man versions? Are 
you sure it's a real 5.6.1? please post the output of 'perl -V'. Thanks.



-- 
__________________________________________________________________
Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker
http://stason.org/     mod_perl Guide ---> http://perl.apache.org
mailto:stas@stason.org http://use.perl.org http://apacheweek.com
http://modperlbook.org http://apache.org   http://ticketmaster.com

Mime
View raw message